Resolve The Run's Own Agent (M2M)
Resolve the agent a run token was issued for: identity, system prompt, LLM provider and workflow summary. Run tokens only; the agent is taken from the token, never from the request.
Authorization
BundleAccessToken AuthorizationBearer <token>
In: header
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/bundler/run-agent"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "deployment_id": "6ef0ac85-9892-4664-a2a5-58bf2af5a8a6", "llm_provider_id": "01f100ab-eef6-496a-9799-f8fbf49c6288", "org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b", "system_prompt": "string", "has_workflow": false, "event_org_id": "38381290-8ff7-413c-a0d2-e750a21c5122", "creator_id": "9cceffdd-8381-4074-8256-eafae24ebee6", "first_message": "string", "state_schema": {}, "evaluation_criteria_defs": []}Empty
Empty
{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}